#cookie-modal {
    pointer-events: none;
    background-color: transparent;
}

#cookie-modal .modal-dialog {
    pointer-events: auto !important;
}

.uwebi-cookie-modal-position {
    height: auto !important;
    width: auto !important;
    top: auto !important;
    left: auto !important;
    bottom: 0px;
    right: 0px;
    max-width: 550px !important;
}

.uwebi-cookie-banner-shadow {
    box-shadow: 0 0 8px rgba(var(--uwebi-blue-rgb), 0.3) !important;
}

.uwebi-cookie-banner-title {
    width: 100%;
    font-size: 1.1rem;
    /* color: rgba(var(--uwebi-blue-rgb), 1); */
}

.uwebi-cookie-banner-description {
    width: 100%;
    font-size: 0.8rem;
    /* color: rgba(var(--uwebi-blue-rgb), 1); */
}

#cookie-modal .modal-header,
#cookie-modal .uwebi-cookie-banner-title {
    text-align: left !important;
}

#cookie-modal .modal-dialog {
    max-height: 90vh;
    /* z. B. 70% der Bildschirmhöhe */
}

#cookie-modal .modal-content {
    max-height: 70vh;
}

#cookie-modal .modal-body {
    overflow-y: auto;
}

.uwebi-cookie-modal {
    background-color: rgba(var(--uwebi-first-contrast-rgb), 1);
    color: var(--uwebi-font-primary);
    border: 1px solid rgba(var(--uwebi-second-contrast-rgb), 1);
}

.uwebi-btn-primary {
    background-color: rgba(var(--uwebi-first-contrast-rgb), 1);
    color: rgba(var(--uwebi-font-primary-rgb), 1);
    border: 1px solid rgba(var(--uwebi-light-green-rgb), 1);
}

.uwebi-btn-primary:hover {
    background-color: rgba(var(--uwebi-third-contrast-rgb), 1);
    border-color: rgba(var(--uwebi-blue-rgb), 1) !important;
}

.uwebi-btn-secondary {
    background-color: rgba(var(--uwebi-first-contrast-rgb), 1);
    color: rgba(var(--uwebi-font-primary-rgb), 0.5);
    border: 1px solid rgba(var(--uwebi-second-contrast-rgb), 1);
}

.uwebi-btn-secondary:hover {
    background-color: rgba(var(--uwebi-third-contrast-rgb), 1);
    color: rgba(var(--uwebi-font-primary-rgb), 0.7);
    border-color: rgba(var(--uwebi-second-contrast-rgb), 1) !important;
}

.uwebi-category-item {
    border-color: rgba(var(--uwebi-second-contrast-rgb), 1) !important;
}

.uwebi-cookie-category-description {
    font-size: 0.7rem !important;
}

.uwebi-cookie-item {
    border-color: rgba(var(--uwebi-second-contrast-rgb), 1) !important;
    font-size: 0.7rem;
}

.uwebi-cookie-item:last-child {
    border: 0 !important;
}

.uwebi-cookie-switch {
    cursor: pointer !important;
    border-color: rgba(var(--uwebi-second-contrast-rgb), 1) !important;
    background-color: rgba(var(--uwebi-first-contrast-rgb), 1) !important;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba(169, 221, 255, 1)'/%3e%3c/svg%3e") !important;
    transition: all 0.2s ease !important;
}

.uwebi-cookie-switch:checked {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba(170, 255, 198, 1)'/%3e%3c/svg%3e") !important;
    background-color: rgba(var(--uwebi-first-contrast-rgb), 1) !important;
    border-color: rgba(var(--uwebi-font-secondary-rgb), 1) !important;
}

@media (max-width: 650px) {

    .uwebi-btn-primary,
    .uwebi-btn-secondary {
        border-style: solid !important;
        border-width: 1px !important;
        border-radius: 0.375rem !important;
        margin: 4px 5px !important;
        width: 100% !important;
    }
}